GoJS® Diagramming Components
version 1.6.19 for JavaScript/HTML
by Northwoods Software®

## Class LayeredDigraphVertex

Extends . This holds LayeredDigraphLayout-specific information about Nodes.

This class inherits from LayoutVertex.

## Constructor Summary Details

Name | Description
--- | ---
LayeredDigraphVertex() |

## Properties Summary Details

Name, Value Type | Description
--- | ---
column {number} | The column to which the node is assigned.More... The default value is -1.
component {number} | The connected component to which the node is assigned.More... The default value is NaN.
index {number} | The index to which the node is assigned.More... The default value is -1.
layer {number} | The layer to which the node is assigned.More... The default value is -1.
near {LayeredDigraphVertex} | Another LayeredDigraphVertex in the same layer that this node should be near.More... The default value is null.